Skip to main content
GET
/
v2
/
reporting
/
params
/
{name}
/
options
Get Parameter Options
curl --request GET \
  --url https://production.hifibridge.com/v2/reporting/params/{name}/options \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/reporting/params/{name}/options"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/reporting/params/{name}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": [
    "f6a78498-0994-5bea-b5ab-7d40a231217a",
    "c92f87e6-eaac-59a3-898f-d8c847553f5f",
    "fb0b02ed-6bcc-5724-8269-dcaeb6474be2",
    "b56ac719-efc3-5e40-b99f-2daf85d519dc",
    "2bbbda5d-0464-5748-801a-dae6ae3dbad9"
  ],
  "metadata": {
    "count": 5,
    "page": 1,
    "limit": 5,
    "total": 1000,
    "totalPages": 200,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

The name of the parameter (e.g., transactionTypes, transactionStatuses, userIds)

Query Parameters

page
integer

Page number for pagination (defaults to 1)

Required range: x >= 1
limit
integer

Number of items per page (defaults to 100, max 1000)

Required range: 1 <= x <= 1000

Response

Success

Paginated list of parameter options

status
enum<string>
Available options:
success
data
object[]
metadata
object